<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<!-- Mobile meta tag -->
		<meta name="viewport" content="width=device-width, initial-scale=1">

	<!--Bootstrap CSS link  -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
		
		<title>Bootstrap Introduction and Simple Styles</title>
	</head>
	<!-- use "class" attribute to set bootstrap pre-built styling -->
	<body class="text-center bg-secondary">

		<div class="bg-primary text-light fixed-top p-1">
			Fixed Top - Navbar
		</div>

		<div class="mt-5">

			<h1>Bootstrap Introduction and Simple Styles</h1>

		</div>

		<!-- d means display -->
		<!-- d-none d-lg (for breakpoint) for large screen, pag less than mawawala image -->
		<!-- d-inline-block  convert inline to block  -->
		<div class="w-25 mt-4 d-none d-lg-inline-block">
			<!-- img-fluid follows the size of the parent -->
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="img-fluid bg-white rounded-circle">
		</div>
		<!-- 
			- "container" add amargin and padding to all elements under the div tag.
			- "container-fluid" add padding to all elements under the div tag 
		-->
		<div class="container-fluid my-5">
			<h2>Bootstrap Color Classes</h2>

			<!-- 
				- "table" class change the appearance of the default html table.
				- "table-bordered" adds border to our table for readability
				- "table-dark" change the table color to dark
			 -->

			<table class="table table-bordered table-dark">
				<thead>
					<tr>
						<th>Text</th>
						<th>Background</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<a href="#" class="text-primary">Primary Link</a>
						</td>
					<!-- 
						- It is allowed for an element to have multiple classes using one class attribute 
						- "bg-" to change background color followed by Bootstrap color classes
					-->
						<td class="bg-primary text-white">
							Primary Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-secondary">Secondary Link</a>
						</td>
						<td class="bg-secondary text-white">
							Secondary Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-success">Success Link</a>
						</td>
						<td class="bg-success text-white">
							Success Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-danger">Danger Link</a>
						</td>
						<td class="bg-danger text-white">
							Danger Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-warning">Warning Link</a>
						</td>
						<td class="bg-warning text-white">
							Warning Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-info">Info Link</a>
						</td>
						<td class="bg-info text-white">
							Info Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-light">Light Link</a>
						</td>
						<td class="bg-light text-dark">
							Light Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-dark">Dark Link</a>
						</td>
						<td class="bg-dark text-white">
							Dark Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-muted">Muted Link</a>
						</td>
						<td class="bg-transparent text-white">
						Transparent Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-white">White Link</a>
						</td>
						<td class="bg-white text-dark">
							White Background
						</td>
					</tr>
				</tbody>
			</table>


			<h2>Bootstrap Text Classes</h2>

			<table class="table table-bordered table-dark text-light">
				<thead>
					<tr>
						<th>Alignment</th>
					</tr>
				</thead>

				<tbody>
					<tr>
						<td class="text-left">
							Left
						</td>
					</tr>
					<tr>
						<td class="text-center">
							Center
						</td>
					</tr>
					<tr>
						<td class="text-right">
							Right
						</td>
					</tr>

					<!-- 
						Bootstrap Breakpoints
						- determine how your responsive layout behaves across device or viewport sizes in bootstrap sizes.
					 -->

					 <tr>
					 	<!-- Small Screen (sm) is greater than or equal to 576px -->
					 	<!-- Smart Phones -->
					 	<td class="text-sm-center">
					 		Small Screen Center
					 	</td>
					 </tr>
					 <tr>
					 	<!-- Medium screen (md) is greater than or equal to 768px -->
					 	<!-- Tablets -->
					 	<td class="text-right text-md-left">
					 		Medium Screen Left
					 	</td>
					 </tr>

					 <tr>
					 	<!-- Large Screen (lg) is greater than or eqaul to 992px -->
					 	<!-- Desktop -->
					 	<td class="text-lg-right">
					 		Large Screen Right
					 	</td>
					 </tr>

					 <tr>
					 	<!-- Extra Large Screen (xl) is greater than or eqaul to 1200px -->
					 	<!-- TV and other large screens -->
					 	<td class="text-xl-left">
					 		Extra Large Screen Left
					 	</td>
					 </tr>

				</tbody>
			</table>


			<h2>Bootstrap Other Text Classes</h2>

			<table class="table table-bordered table-dark text-light">
				<thead>
					<tr>
						<th>Text Transform</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="text-lowercase font-weight-bold">
							LOWERCASED BOLD TEXT
						</td>
					</tr>
					<tr>
						<td class="text-uppercase font-weight-normal">
							uppercase normal text
						</td>
					</tr>
					<tr>
						<td class="text-capitalize font-weight-lights">
							capitalize light text
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-decoration-none font-italic">None Underline Italic Link</a>
						</td>
					</tr>
				</tbody>

			</table>

			<h2>Bootstrap Border and Sizing Classes</h2>
			<table class="table table-bordered table-dark text-light">
				<thead>
					<tr>
						<th>Border</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<!-- 
								additive: border-top (t,r,l,b)
								subtractive: border border-top-0(t,r,l,b)
							 -->
							 <!-- w-75 etc is ung width sizing, kita sa Utilities - Sizing..
							 kung height edi h -->
							<div class="bg-info border border-primary rounded w-75">
								Rounded
							</div>
						</td>
					</tr>

					<tr>
						<td>
							<div class="bg-secondary border border-white rounded-circle w-50">
								Rounded Circle
							</div>
						</td>
					</tr>

					<tr>
						<td>
							<div class="bg-warning border border-red rounded-pill w-25">
								Rounded Pill
							</div>
						</td>
					</tr>
				</tbody>
			</table>

		</div>


		<div class="bg-primary text-light fixed-bottom p-1">
			Fixed Bottom - Footer
		</div>




		<!-- Bootstrap Script -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

	</body>
</html>